RDF::Trine::Exporter::CSV(3pm)

NAME
RDF::Trine::Exporter::CSV - Export RDF data to CSV

VERSION
This document describes RDF::Trine::Exporter::CSV version 1.007

SYNOPSIS
 use RDF::Trine::Exporter::CSV;

DESCRIPTION
The RDF::Trine::Exporter::CSV class provides an API for serializing RDF data to CSV strings and files.

METHODS

"new ( sep_char => $sep_char, quote => $bool )"
    Returns a new RDF::Trine::Exporter::CSV object. If $sep_char is provided, it is used as the separator character in CSV serialization, otherwise a comma (",") is used.

"serialize_iterator_to_file ( $file, $iterator )"
    Serializes the bindings objects produced by $iterator, printing the results to the supplied filehandle "<$fh">.

"serialize_iterator_to_string ( $iterator )"
    Serializes the bindings objects produced by $iterator, returning the result as a string.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.